package sw.programme.rfid.uhf.demo;

public class UtilityHelp {

    public static byte[] StringToByteArray(String hex) throws Exception {
        if (hex == null) {
            throw new Exception("The binary key is empty");
        }
        int len = hex.length();
        if (len % 2 == 1) {
            throw new Exception(
                    "The binary key cannot have an odd number of digits");
        }

        byte[] ba = new byte[len / 2];
        for (int i = 0; i < ba.length; i++)
            ba[i] = (byte) Integer
                    .parseInt(hex.substring(2 * i, 2 * i + 2), 16);
        return ba;
    }
}
